MuldeR's Utilities for Qt MUtilities

Classes | Namespaces | Typedefs | Functions | Variables
CPUFeatures.h File Reference

This file contains function for detecting information about the CPU. More...

`#include <MUtils/Global.h>`
`#include <QStringList>`

Go to the source code of this file.

## Classes
struct | MUtils::CPUFetaures::_cpu_info_t
| Struct to hold information about the CPU. See `_cpu_info_t` for details! More...

## Namespaces
| MUtils
| Global MUtils namespace.
| MUtils::CPUFetaures
| This namespace contains functions and constants for detecting CPU information.

## Typedefs
typedef struct MUtils::CPUFetaures::_cpu_info_t | MUtils::CPUFetaures::cpu_info_t
| Struct to hold information about the CPU. See `_cpu_info_t` for details!

## Functions
MUTILS_API cpu_info_t | MUtils::CPUFetaures::detect (void)
| Detect processor information. More...

## Variables
static const quint8 | MUtils::CPUFetaures::VENDOR_INTEL = 0x01U
| CPU vendor flag. More...
static const quint8 | MUtils::CPUFetaures::VENDOR_AMD = 0x02U
| CPU vendor flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_CMOV = 0x001U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_MMX = 0x002U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_SSE = 0x004U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_SSE2 = 0x008U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_SSE3 = 0x010U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_SSSE3 = 0x020U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_SSE41 = 0x040U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_SSE42 = 0x080U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_AVX = 0x100U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_AVX2 = 0x200U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_FMA3 = 0x400U
| CPU feature flag. More...
static const quint32 | MUtils::CPUFetaures::FLAG_LZCNT = 0x800U
| CPU feature flag. More...

## Detailed Description

This file contains function for detecting information about the CPU.

Call the MUtils::CPUFetaures::detect() to detect information about the processor, which will be returned in a `MUtils::CPUFetaures::cpu_info_t` struct.